﻿
@{
    ViewBag.Title = "User Studio";
}


@helper CreateListMedia(List<CardFileOfTextMaterials.BLL.DTO.In.MainMediaDTO> collections)
{
      
         
<div class="row">

    @foreach (var el in collections)
    {
    <div class="col-md-3 card mb-3 box-shadow">
        <img class="card-img-top main-image" src="@Url.Content(@el.PathJpg)" alt="Image of video">
        <div class="card-body">
            <h4 class="card-text">@el.Name</h4>
            <h6>@el.UserName </h6>
            <div class="d-flex justify-content-between align-items-center">
                <small class="text-muted">@el.Created</small>
            </div>
        </div>
        <a class="col-md-3" href="@Url.Action("EditMedia","User", new { el.Id })">
            <p>Edit</p>
        </a>
        <a class="col-md-3" href="@Url.Action("WatchMedia","User", new { el.Id })">
            <p>Watch</p>
        </a>
        <a class="col-md-3" href="@Url.Action("RemoveMedia","User", new { el.Id })">
            <p>Delete</p>
        </a>

    </div>
    }
    @if (ViewBag.Add == true)
    {
        <div class="col-md-3 card mb-3 box-shadow">
            <a class="col-md-3 NoneStyle" href="@Url.Action("AddVideo", new { ViewBag.Id })">
                <img class="card-img-top main-image" src="~/Content/Images/AddMedia.png" alt="AddVideo">
                <div class="card-body">
                    <h6>AddVideo</h6>
                </div>
            </a>
        </div>
    }
</div>
}

    @helper CreateList(List<CardFileOfTextMaterials.BLL.DTO.In.LinkedStorageMediaDTO> collections)
    {
        <ul class="nav nav-sidebar" >
            @foreach (var el in collections)
            {
                <li>
                    <a href="@Url.Action("GetStorage", new { el.Id })">
                        @el.Name
                    </a>                     
                </li>
            }  
            <li >
               <a  href="@Url.Action("AddStorage")">
                   <p>Add Storage</p>
               </a>                     
            </li>           
        </ul>
}


<div class="col-sm-3 col-md-2">
    @CreateList(ViewBag.CollectionStorage)
</div>
<main role="main" class="col-sm-9 col-sm-offset-3 col-md-10 col-md-offset-2 main indent">   
     @CreateListMedia(ViewBag.Collection)       
</main>

